Documentation

Utilities 1.3.2 and OVRPlugin

Some versions of Unity require special handling to enable built-in VR support. This will not be required in future versions of Unity.

You must download and install OVRPlugin from our website if you are using the following Unity versions:

  • Unity v 5.3.3p3 through 5.3.4p4
  • Unity v 5.4.0b11 through 5.4.0b15

Unity v 5.3.3p3 through 5.3.4p4

To use Unity 5.3.3p3 through 5.3.4p4 with the Oculus Rift or Samsung Gear VR, you must download and install OVRPlugin for Unity 1.3.2, available here. Later versions of Unity 5.3.x may be used without special handling.

After you have downloaded and installed Unity, take these steps to install OVRPlugin:

  1. Close the Unity Editor if it is currently running.
  2. Navigate to C:\Program Files\Unity\Editor\Data\VR\oculus
  3. Delete all contents of the directory.
  4. Extract the OVRPlugin zip, open the folder 5.3\oculus, and copy all of its contents into C:\Program Files\Unity\Editor\Data\VR\oculus.

Unity v 5.4.0b11 through 5.4.0b15

To use Unity 5.4.0b11 through 5.4.0b15 with the Oculus Rift or Samsung Gear VR, you must download and install OVRPlugin for Unity 1.3.2, available here. Later versions of Unity 5.4.x may be used without special handling.

After you have downloaded and installed Unity, take these steps to install OVRPlugin:

  1. Close the Unity Editor if it is currently running.
  2. Navigate to C:\Program Files\Unity\Editor\Data\VR\Unity
  3. Delete all contents of the directory.
  4. Extract the OVRPlugin zip, open the folder 5.4\Unity, and copy all of its contents into C:\Program Files\Unity\Editor\Data\VR\Unity.
Loading…